Listed Issue Information (/listed/info)

You can get information on listed companies and sector information

Overview

Listed issue information as of the past, the current day, and the next business day can be retrieved. Please note that listed issue information as of the next business day can be obtained after 17:30.

Attention

circle-info
  • For the specification of past dates, specify a date earlier than the start date of data period, the issue information as of the start date of data period will be returned. If specified "Date" is non-business day, the issue information as of next business day of specified date will be returned.

  • Note on Base Price

    • The base price is the reference price used to determine the daily price limit range for the stock.

    • The base price is calculated based on the previous business day's closing price. Adjustments are made due to corporate actions such as dividends and stock splits.

    • The base prices for foreign stocks/ETFs/REITs may be adjusted by the TSE on the morning of the trading day due to sharp exchange rate fluctuations or other factors. However, such same-day adjustments are not reflected in the API data.

    • The base price for a newly listed stock is "0" on its first trading day. If an opening price is not determined, the base price will remain "0" on subsequent business days until the opening price is established.

    • Periods with Missing Data Data is not available for the following periods: All issues: May 7, 2008 Foreign Stocks, ETFs: May 8, 2008 - June 16, 2008

Parameter and Response

When acquiring data, issue code (code) or date (date) can be specified. The combination of each parameter and the results of the response are as below.

code
date
Result

All listed issues as of the day when API is executed. *1

Specified listed issues as of the day when API is executed. *1

All listed issues as of the specified day. *2

Specified listed issues as of the specified day. *2

*1 If "Date" is not specified on non-business day, the issue information as of next business day will be returned. *2 data as of the next business day can be obtained. Even if you specify a future date that is earlier than the next business day, the issue information as of the next business day will be returned.

Obtain daily listed issue information

GET https://api.jquants-pro.com/v2/listed/info

"*" is a mandatory item.

Query Parameters

Name
Type
Description

code

String

If a 4-character issue code is specified, only the data of common stock will be obtained for the issue on which both common and preferred stocks are listed. e.g. 27890 or 2789

date

String

Date of application of information (e.g. 20210907 or 2021-09-07)

Headers

Name
Type
Description

Authorization*

String

Access key

Data Item

Variable
Description
Data type
Remark

Date

Date of application of information

String

YYYY-MM-DD

Code

Issue code

String

CompanyName

Company Name (Japanese)

String

CompanyNameEnglish

Company Name (English)

String

Sector17Code

17-Sector code

String

Sector17CodeName

17-Sector code name (Japanese)

String

Sector33Code

33-Sector code

String

Sector33CodeName

33-Sector code name (Japanese)

String

ScaleCategory

TOPIX Scale category

String

MarketCode

Market segment code

String

MarketCodeName

Market segment code name (Japanese)

String

MarginCode

Flags of margin and loan issues

String

1: Margin issues,

2: Loan issues,

3: Other issues(non-loan, non-margin)

MarginCodeName

Name of flags of margin and loan issues

String

BasePrice

Base Price for calculating the Daily Price Limits

Number

Sample Code

Last updated